/*******************************************************************************
* FILE NAME: targeting.h
*
* DESCRIPTION:
*  This file contains targeting software routines.
*******************************************************************************/

#ifdef VARIABLES_DECLARE
	char PermToFire;
	unsigned int PanTarget;
	unsigned int TiltTarget;	
	rom const char TiltPosTable[256];
#else
	extern char PermToFire;
	extern unsigned int PanTarget;
	extern unsigned int	TiltTarget;
	extern rom const char TiltPosTable[256];
#endif

#define CAM_TILT_CENTER		127
#define CAM_PAN_CENTER		127
#define CONF_THRESH			60     // 

#define PANPOTMIN           250   // now 250
#define PANPOTMAX           750   // now 750
#define PANCENTER           759   // Unused

#define OIPOTMIN             12
#define OIPOTMAX            190

#define TILTPOTMIN          0
#define TILTPOTMAX          1023

#define PAN_SEARCH_SPEED    30
#define PAN_TOP_SPEED_RIGHT 127 // was 30
#define PAN_TOP_SPEED_LEFT  127 // was 40
#define PAN_MIN_SPEED_i      1  // (NEVER=0)Start i just below movement speed for quicker response
#define PAN_MIN_SPEED_i_CMU  1  // (NEVER=0)Start i just below movement speed for quicker response
//#define PAN_MIN_SPEED_RIGHT  15  // 8 right and -16  left
#define PAN_MOTOR_DIRECTION 1
#define PAN_POT_DIRECTION    1


void Semi_Auto(void);
void Auto_Fire(void);
void Manual_Fire(void);
char Checklist(void);
char GimbalTrack(void);
char GimbalTrackPan(int *);
char GimbalTrackTilt(void);
void Pan_By_Camera(int *);
void Search_Pattern(int *, char);
